function varargout = failure_export(varargin)
% MATLAB Courseware for Machine Design by Shih-Liang (Sid) Wang
% Software Copyright 2004 by The McGraw-Hill Companies, Inc.  All rights reserved.
%
% FAILURE_EXPORT M-file for failure_export.fig
%      FAILURE_EXPORT, by itself, creates a new FAILURE_EXPORT or raises the existing
%      singleton*.
%
%      H = FAILURE_EXPORT returns the handle to a new FAILURE_EXPORT or the handle to
%      the existing singleton*.
%
%      FAILURE_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in FAILURE_EXPORT.M with the given input arguments.
%
%      FAILURE_EXPORT('Property','Value',...) creates a new FAILURE_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before failure_export_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to failure_export_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".
%
% See also: GUIDE, GUIDATA, GUIHANDLES

% Edit the above text to modify the response to help failure_export

% Last Modified by GUIDE v2.5 16-Apr-2003 15:02:08

% Begin initialization code - DO NOT EDIT
gui_Singleton = 1;
gui_State = struct('gui_Name',       mfilename, ...
                   'gui_Singleton',  gui_Singleton, ...
                   'gui_OpeningFcn', @failure_export_OpeningFcn, ...
                   'gui_OutputFcn',  @failure_export_OutputFcn, ...
                   'gui_LayoutFcn',  @failure_export_LayoutFcn, ...
                   'gui_Callback',   []);
if nargin & isstr(varargin{1})
    gui_State.gui_Callback = str2func(varargin{1});
end

if nargout
    [varargout{1:nargout}] = gui_mainfcn(gui_State, varargin{:});
else
    gui_mainfcn(gui_State, varargin{:});
end
% End initialization code - DO NOT EDIT


% --- Executes just before failure_export is made visible.
function failure_export_OpeningFcn(hObject, eventdata, handles, varargin)
% This function has no output args, see OutputFcn.
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)
% varargin   command line arguments to failure_export (see VARARGIN)

% Choose default command line output for failure_export
handles.output = hObject;

% Update handles structure
guidata(hObject, handles);

% UIWAIT makes failure_export wait for user response (see UIRESUME)
% uiwait(handles.figure1);
if strcmp(get(hObject,'Visible'),'off')
    axis off
end


% --- Outputs from this function are returned to the command line.
function varargout = failure_export_OutputFcn(hObject, eventdata, handles)
% varargout  cell array for returning output args (see VARARGOUT);
% hObject    handle to figure
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Get default command line output from handles structure
varargout{1} = handles.output;


% --- Executes during object creation, after setting all properties.
function edit_sigma_1_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sigma_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sigma_1_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sigma_1 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sigma_1 as text
%        str2double(get(hObject,'String')) returns contents of edit_sigma_1 as a double



% --- Executes on button press in pushbutton_plot.
function pushbutton_plot_Callback(hObject, eventdata, handles)
% hObject    handle to pushbutton_plot (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% failure_export.m
Sy=str2double(get(handles.edit_sy, 'String'));
sigma_1=str2double(get(handles.edit_sigma_1, 'String'));
sigma_2=str2double(get(handles.edit_sigma_2, 'String'));
%%%%%%
   
    x11=-2*Sy/sqrt(3):0.001*Sy:2*Sy/sqrt(3);
    y11=(x11+sqrt(4*Sy^2-3*x11.^2))/2;  %boundary of the distortion energy theory - upper half
    x12=2*Sy/sqrt(3):-0.001*Sy:-2*Sy/sqrt(3);
    y12=(x12-sqrt(4*Sy^2-3*x12.^2))/2;  %boundary of the distortion energy theory - lower half
    x1=[x11,x12];               %boundary of the distortion energy theory
    y1=[y11,y12];
    
    x2=[Sy Sy 0 -Sy -Sy 0 Sy];  %boundary of the max shear stress theory
    y2=[0 Sy Sy 0 -Sy -Sy 0];
    sigma_e=sqrt(sigma_1^2+sigma_2^2-sigma_1*sigma_2);
    if sigma_1 > 0 & sigma_2 > 0        %1st quadrant
        x3=[0 1.5*Sy];
        y3=[0 1.5*Sy*sigma_2/sigma_1]; %load line
        if sigma_1 > sigma_2 
            x_s=Sy; y_s=x_s*sigma_2/sigma_1;
        else
            y_s=Sy; x_s=y_s*sigma_1/sigma_2;
        end
        SF_1=min(Sy/sigma_1, Sy/sigma_2);
        SF_2=Sy/sigma_e;
    elseif sigma_1 < 0 & sigma_2>0      %2nd quadrant
        x3=[0 -Sy];
        y3=[0 -Sy*sigma_2/sigma_1]; %load line
        
           x_s=Sy/(-1+sigma_2/sigma_1); y_s=x_s*sigma_2/sigma_1;
            
        SF_1=Sy/(sigma_2-sigma_1);
        SF_2=Sy/sigma_e;
    elseif sigma_1 < 0 & sigma_2 <0     %3rd quadrant
        x3=[0 -1.5*Sy];
        y3=[0 -1.5*Sy*sigma_2/sigma_1]; %load line
 
        if abs(sigma_1) > abs(sigma_2) 
            x_s=-Sy; y_s=x_s*sigma_2/sigma_1;
        else
            y_s=-Sy; x_s=y_s*sigma_1/sigma_2;
        end
        
        SF_1=min(-Sy/sigma_1, -Sy/sigma_2);
        SF_2=Sy/sigma_e;
    elseif sigma_1 > 0 & sigma_2<0      %4th quadrant
        x3=[0 Sy];
        y3=[0 Sy*sigma_2/sigma_1];  %load line
           x_s=-Sy/(-1+sigma_2/sigma_1); y_s=x_s*sigma_2/sigma_1;
        SF_1=Sy/(sigma_1-sigma_2);
        SF_2=Sy/sigma_e;
    elseif sigma_1==0
        x3=[0 0];
        y3=[0 sign(sigma_2)*Sy];    %load line
        
        SF_1=Sy/abs(sigma_2);
        SF_2=Sy/abs(sigma_2);
    elseif sigma_2==0
        x3=[0 sign(sigma_2)*Sy];
        y3=[0 0];                   %load line
        
        SF_1=Sy/abs(sigma_1);
        SF_2=Sy/abs(sigma_1);
    end
      xaxis=[-1000 0;1000 0];yaxis=[0 -1000 ;0 1000]; %to draw x- and y- axes
  
    plot( x1,y1, x2,y2, x3,y3, sigma_1,sigma_2,'ok','MarkerFaceColor', 'g' )
    axis ([-2.4*Sy 2.4*Sy -2*Sy 2*Sy])
    axis ('equal')
        % text(0,-1.8*Sy,'\bf Software copyright  \copyright 2003 by The McGraw-Hill Companies, Inc. ','HorizontalAlignment','center','VerticalAlignment','bottom')
        hold on;

    plot(x_s,y_s,'o','LineWidth',1)     %intersection of load line and max. shear stress theory
    axis ([-2.4*Sy 2.4*Sy -2*Sy 2*Sy])
    axis ('equal')
        hold on;
        
    plot(xaxis(:,1),xaxis(:,2), '--c',yaxis(:,1),yaxis(:,2),'--c','LineWidth',2)
    axis ([-2.4*Sy 2.4*Sy -2*Sy 2*Sy])
         xlabel('Principal Stress  \sigma_{1}')
         ylabel('Principal Stress  \sigma_{2}')
           hold off;
    legend('Distortion Energy ','Maximum Shear Stress','Load Line','Data Point','Failure Point',-1);


   % set([startHndl closeHndl AeditHndl BeditHndl CeditHndl],'Enable','on');
    set(handles.edit_sf_max_s,'String',num2str(SF_1,'%7.2f'));
    set(handles.edit_sf_vm,'String',num2str(SF_2,'%7.2f'));
% end



% --- Executes during object creation, after setting all properties.
function edit_sigma_2_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sigma_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sigma_2_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sigma_2 (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sigma_2 as text
%        str2double(get(hObject,'String')) returns contents of edit_sigma_2 as a double



% --- Executes during object creation, after setting all properties.
function edit_sy_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sy_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sy (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sy as text
%        str2double(get(hObject,'String')) returns contents of edit_sy as a double



% --- Executes during object creation, after setting all properties.
function edit_sf_max_s_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sf_max_s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sf_max_s_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sf_max_s (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sf_max_s as text
%        str2double(get(hObject,'String')) returns contents of edit_sf_max_s as a double


% --- Executes during object creation, after setting all properties.
function edit_sf_vm_CreateFcn(hObject, eventdata, handles)
% hObject    handle to edit_sf_vm (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    empty - handles not created until after all CreateFcns called

% Hint: edit controls usually have a white background on Windows.
%       See ISPC and COMPUTER.
if ispc
    set(hObject,'BackgroundColor','white');
else
    set(hObject,'BackgroundColor',get(0,'defaultUicontrolBackgroundColor'));
end



function edit_sf_vm_Callback(hObject, eventdata, handles)
% hObject    handle to edit_sf_vm (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

% Hints: get(hObject,'String') returns contents of edit_sf_vm as text
%        str2double(get(hObject,'String')) returns contents of edit_sf_vm as a double


% --------------------------------------------------------------------
function file_menu_Callback(hObject, eventdata, handles)
% hObject    handle to file_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)



% --------------------------------------------------------------------
function print_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to print_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

printdlg(handles.figure1)

% --------------------------------------------------------------------
function exit_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to exit_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

delete(handles.figure1)


% --------------------------------------------------------------------
function help_menu_Callback(hObject, eventdata, handles)
% hObject    handle to help_menu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)


% --------------------------------------------------------------------
function overview_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to overview_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

open failure.htm


% --------------------------------------------------------------------
function about_submenu_Callback(hObject, eventdata, handles)
% hObject    handle to about_submenu (see GCBO)
% eventdata  reserved - to be defined in a future version of MATLAB
% handles    structure with handles and user data (see GUIDATA)

scrsz = get(0,'ScreenSize');
figure('name','About MATLAB for Machine Design','menubar', 'none','NumberTitle','off' ,'Position',[.6*scrsz(3)  .6*scrsz(4) scrsz(3)/4 scrsz(4)/4])
%scrsz(3) is the width; scrsz(4)is the height; the window is positioned at
%upper right corner.
axis off;
text(.46, .95,' \bf  MATLAB Courseware ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .83,' \bf for ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .71,' \bf  Machine Design','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .55,'  Release 1.0','HorizontalAlignment','center','VerticalAlignment','bottom')
text(.46, .43,' March 10, 2003','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .25,'  Software copyright \copyright 2004 ','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, .11,' by Shih-Liang (Sid) Wang','HorizontalAlignment','center','VerticalAlignment','bottom')
text(0.46, -.09,' All rights reserved.','HorizontalAlignment','center','VerticalAlignment','bottom')



% --- Creates and returns a handle to the GUI figure. 
function h1 = failure_export_LayoutFcn(policy)
% policy - create a new figure or use a singleton. 'new' or 'reuse'.

persistent hsingleton;
if strcmpi(policy, 'reuse') & ishandle(hsingleton)
    h1 = hsingleton;
    return;
end

h1 = figure(...
'Units','characters',...
'Color',[0.682352941176471 0.658823529411765 0.850980392156863],...
'Colormap',[0 0 0.5625;0 0 0.625;0 0 0.6875;0 0 0.75;0 0 0.8125;0 0 0.875;0 0 0.9375;0 0 1;0 0.0625 1;0 0.125 1;0 0.1875 1;0 0.25 1;0 0.3125 1;0 0.375 1;0 0.4375 1;0 0.5 1;0 0.5625 1;0 0.625 1;0 0.6875 1;0 0.75 1;0 0.8125 1;0 0.875 1;0 0.9375 1;0 1 1;0.0625 1 1;0.125 1 0.9375;0.1875 1 0.875;0.25 1 0.8125;0.3125 1 0.75;0.375 1 0.6875;0.4375 1 0.625;0.5 1 0.5625;0.5625 1 0.5;0.625 1 0.4375;0.6875 1 0.375;0.75 1 0.3125;0.8125 1 0.25;0.875 1 0.1875;0.9375 1 0.125;1 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0],...
'IntegerHandle','off',...
'InvertHardcopy',get(0,'defaultfigureInvertHardcopy'),...
'MenuBar','none',...
'Name','failure',...
'NumberTitle','off',...
'PaperPosition',get(0,'defaultfigurePaperPosition'),...
'Position',[80 10 112 32.3076923076923],...
'Renderer',get(0,'defaultfigureRenderer'),...
'RendererMode','manual',...
'Resize','off',...
'HandleVisibility','callback',...
'Tag','figure1',...
'UserData',zeros(1,0));

setappdata(h1, 'GUIDEOptions', struct(...
'active_h', [], ...
'taginfo', struct(...
'figure', 2, ...
'text', 20, ...
'axes', 2, ...
'edit', 14, ...
'pushbutton', 3, ...
'frame', 6), ...
'override', 0, ...
'release', 13, ...
'resize', 'none', ...
'accessibility', 'callback', ...
'mfile', 1, ...
'callbacks', 1, ...
'singleton', 1, ...
'syscolorfig', 1, ...
'lastSavedFile', 'D:\Sid Wang- summer work\matlab_r13\design\shigley\matlab_supplements_source\failure.m'));


h2 = axes(...
'Parent',h1,...
'Units','characters',...
'CameraPosition',[0.5 0.5 9.16025403784439],...
'CameraPositionMode',get(0,'defaultaxesCameraPositionMode'),...
'Color',get(0,'defaultaxesColor'),...
'ColorOrder',get(0,'defaultaxesColorOrder'),...
'Position',[16 5.30769230769231 87.2 21.6923076923077],...
'XColor',get(0,'defaultaxesXColor'),...
'YColor',get(0,'defaultaxesYColor'),...
'ZColor',get(0,'defaultaxesZColor'),...
'Tag','axes1');


h3 = get(h2,'title');

set(h3,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498853211009174 1.02304964539007 1.00005459937205],...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h4 = get(h2,'xlabel');

set(h4,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[0.498853211009174 -0.0833333333333333 1.00005459937205],...
'VerticalAlignment','cap',...
'HandleVisibility','off');

h5 = get(h2,'ylabel');

set(h5,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','center',...
'Position',[-0.0653669724770642 0.49468085106383 1.00005459937205],...
'Rotation',90,...
'VerticalAlignment','bottom',...
'HandleVisibility','off');

h6 = get(h2,'zlabel');

set(h6,...
'Parent',h2,...
'Color',[0 0 0],...
'HorizontalAlignment','right',...
'Position',[-0.184633027522936 1.23936170212766 1.00005459937205],...
'HandleVisibility','off',...
'Visible','off');

h7 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[6.4 27.6923076923077 25 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame1');


h8 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','failure_export(''edit_sigma_1_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[8.6 28 9 1.23076923076923],...
'String','100',...
'Style','edit',...
'CreateFcn','failure_export(''edit_sigma_1_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sigma_1');


h9 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[7.8 29.4615384615385 10 1.15384615384615],...
'String','sigma_1',...
'Style','text',...
'Tag','text2');


h10 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'Callback','failure_export(''pushbutton_plot_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[57.4 28.5384615384615 6.8 2.30769230769231],...
'String','Plot',...
'Tag','pushbutton_plot');


h11 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','failure_export(''edit_sigma_2_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[20 28 9 1.23076923076923],...
'String','80',...
'Style','edit',...
'CreateFcn','failure_export(''edit_sigma_2_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sigma_2');


h12 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[19.6 29.4615384615385 10 1.15384615384615],...
'String','sigma_2',...
'Style','text',...
'Tag','text5');


h13 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[7.8 30.5384615384615 21 1.15384615384615],...
'String','Principal Stresses',...
'Style','text',...
'Tag','text6');


h14 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[36.8 27.6923076923077 14 4.154],...
'String',{ '' },...
'Style','frame',...
'Tag','frame2');


h15 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','failure_export(''edit_sy_Callback'',gcbo,[],guidata(gcbo))',...
'ListboxTop',0,...
'Position',[39.4 28 9 1.23076923076923],...
'String','200',...
'Style','edit',...
'CreateFcn','failure_export(''edit_sy_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sy');


h16 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[41.8 29.3076923076923 3.8 1.15384615384615],...
'String','Sy',...
'Style','text',...
'Tag','text8');


h17 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[38.6 30.3076923076923 10 1.23076923076923],...
'String','Strength',...
'Style','text',...
'Tag','text9');


h18 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ForegroundColor',[0 0.501960784313725 0.250980392156863],...
'ListboxTop',0,...
'Position',[70.6 27.692 36 4.15384615384615],...
'String',{ '' },...
'Style','frame',...
'Tag','frame3');


h19 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','failure_export(''edit_sf_max_s_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[78 28 9 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','failure_export(''edit_sf_max_s_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sf_max_s');


h20 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[72.2 29.3846153846154 20 1.15384615384615],...
'String','Max. Shear Stress',...
'Style','text',...
'Tag','text12');


h21 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'BackgroundColor',[1 1 1],...
'Callback','failure_export(''edit_sf_vm_Callback'',gcbo,[],guidata(gcbo))',...
'FontWeight','bold',...
'ForegroundColor',[0 0.501960784313725 0.501960784313725],...
'ListboxTop',0,...
'Position',[94.8 28 9 1.23076923076923],...
'String','',...
'Style','edit',...
'CreateFcn','failure_export(''edit_sf_vm_CreateFcn'',gcbo,[],guidata(gcbo))',...
'Tag','edit_sf_vm');


h22 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[94 29.4615384615385 12 1.15384615384615],...
'String','Von Mises',...
'Style','text',...
'Tag','text13');


h23 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'ListboxTop',0,...
'Position',[74 30.5384615384615 28 1.15384615384615],...
'String','Safety Factors Based on',...
'Style','text',...
'Tag','text14');


h24 = uimenu(...
'Parent',h1,...
'Callback','failure_export(''file_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','File',...
'Tag','file_menu');

h25 = uimenu(...
'Parent',h24,...
'Callback','failure_export(''print_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Print',...
'Tag','print_submenu');

h26 = uimenu(...
'Parent',h24,...
'Callback','failure_export(''exit_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Exit',...
'Tag','exit_submenu');

h27 = uicontrol(...
'Parent',h1,...
'Units','characters',...
'FontWeight','bold',...
'ListboxTop',0,...
'Position',[13.2 -0.0769230769230769 96 1.07692307692308],...
'String','Software copyright  2004 by The McGraw-Hill Companies, Inc. All rights reserved. ',...
'Style','text',...
'Tag','text19');


h28 = uimenu(...
'Parent',h1,...
'Callback','failure_export(''help_menu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Help',...
'Tag','help_menu');

h29 = uimenu(...
'Parent',h28,...
'Callback','failure_export(''overview_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','Overview',...
'Tag','overview_submenu');

h30 = uimenu(...
'Parent',h28,...
'Callback','failure_export(''about_submenu_Callback'',gcbo,[],guidata(gcbo))',...
'Label','About . . .',...
'Tag','about_submenu');


hsingleton = h1;


% --- Handles default GUIDE GUI creation and callback dispatch
function varargout = gui_mainfcn(gui_State, varargin)


%   GUI_MAINFCN provides these command line APIs for dealing with GUIs
%
%      FAILURE_EXPORT, by itself, creates a new FAILURE_EXPORT or raises the existing
%      singleton*.
%
%      H = FAILURE_EXPORT returns the handle to a new FAILURE_EXPORT or the handle to
%      the existing singleton*.
%
%      FAILURE_EXPORT('CALLBACK',hObject,eventData,handles,...) calls the local
%      function named CALLBACK in FAILURE_EXPORT.M with the given input arguments.
%
%      FAILURE_EXPORT('Property','Value',...) creates a new FAILURE_EXPORT or raises the
%      existing singleton*.  Starting from the left, property value pairs are
%      applied to the GUI before untitled_OpeningFunction gets called.  An
%      unrecognized property name or invalid value makes property application
%      stop.  All inputs are passed to untitled_OpeningFcn via varargin.
%
%      *See GUI Options on GUIDE's Tools menu.  Choose "GUI allows only one
%      instance to run (singleton)".

%   Copyright 1984-2002 The MathWorks, Inc.
%   $Revision: 1.4 $ $Date: 2002/05/31 21:44:31 $

gui_StateFields =  {'gui_Name'
                    'gui_Singleton'
                    'gui_OpeningFcn'
                    'gui_OutputFcn'
                    'gui_LayoutFcn'
                    'gui_Callback'};
gui_Mfile = '';
for i=1:length(gui_StateFields)
    if ~isfield(gui_State, gui_StateFields{i})
        error('Could not find field %s in the gui_State struct in GUI M-file %s', gui_StateFields{i}, gui_Mfile);        
    elseif isequal(gui_StateFields{i}, 'gui_Name')
        gui_Mfile = [getfield(gui_State, gui_StateFields{i}), '.m'];
    end
end

numargin = length(varargin);

if numargin == 0
    % FAILURE_EXPORT
    % create the GUI
    gui_Create = 1;
elseif numargin > 3 & ischar(varargin{1}) & ishandle(varargin{2})
    % FAILURE_EXPORT('CALLBACK',hObject,eventData,handles,...)
    gui_Create = 0;
else
    % FAILURE_EXPORT(...)
    % create the GUI and hand varargin to the openingfcn
    gui_Create = 1;
end

if gui_Create == 0
    varargin{1} = gui_State.gui_Callback;
    if nargout
        [varargout{1:nargout}] = feval(varargin{:});
    else
        feval(varargin{:});
    end
else
    if gui_State.gui_Singleton
        gui_SingletonOpt = 'reuse';
    else
        gui_SingletonOpt = 'new';
    end
    
    % Open fig file with stored settings.  Note: This executes all component
    % specific CreateFunctions with an empty HANDLES structure.
    
    % Do feval on layout code in m-file if it exists
    if ~isempty(gui_State.gui_LayoutFcn)
        gui_hFigure = feval(gui_State.gui_LayoutFcn, gui_SingletonOpt);
    else
        gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        % If the figure has InGUIInitialization it was not completely created
        % on the last pass.  Delete this handle and try again.
        if isappdata(gui_hFigure, 'InGUIInitialization')
            delete(gui_hFigure);
            gui_hFigure = local_openfig(gui_State.gui_Name, gui_SingletonOpt);            
        end
    end
    
    % Set flag to indicate starting GUI initialization
    setappdata(gui_hFigure,'InGUIInitialization',1);

    % Fetch GUIDE Application options
    gui_Options = getappdata(gui_hFigure,'GUIDEOptions');
    
    if ~isappdata(gui_hFigure,'GUIOnScreen')
        % Adjust background color
        if gui_Options.syscolorfig 
            set(gui_hFigure,'Color', get(0,'DefaultUicontrolBackgroundColor'));
        end

        % Generate HANDLES structure and store with GUIDATA
        guidata(gui_hFigure, guihandles(gui_hFigure));
    end
    
    % If user specified 'Visible','off' in p/v pairs, don't make the figure
    % visible.
    gui_MakeVisible = 1;
    for ind=1:2:length(varargin)
        if length(varargin) == ind
            break;
        end
        len1 = min(length('visible'),length(varargin{ind}));
        len2 = min(length('off'),length(varargin{ind+1}));
        if ischar(varargin{ind}) & ischar(varargin{ind+1}) & ...
                strncmpi(varargin{ind},'visible',len1) & len2 > 1
            if strncmpi(varargin{ind+1},'off',len2)
                gui_MakeVisible = 0;
            elseif strncmpi(varargin{ind+1},'on',len2)
                gui_MakeVisible = 1;
            end
        end
    end
    
    % Check for figure param value pairs
    for index=1:2:length(varargin)
        if length(varargin) == index
            break;
        end
        try, set(gui_hFigure, varargin{index}, varargin{index+1}), catch, break, end
    end

    % If handle visibility is set to 'callback', turn it on until finished
    % with OpeningFcn
    gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
    if strcmp(gui_HandleVisibility, 'callback')
        set(gui_hFigure,'HandleVisibility', 'on');
    end
    
    feval(gui_State.gui_OpeningFcn, gui_hFigure, [], guidata(gui_hFigure), varargin{:});
    
    if ishandle(gui_hFigure)
        % Update handle visibility
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
        
        % Make figure visible
        if gui_MakeVisible
            set(gui_hFigure, 'Visible', 'on')
            if gui_Options.singleton 
                setappdata(gui_hFigure,'GUIOnScreen', 1);
            end
        end

        % Done with GUI initialization
        rmappdata(gui_hFigure,'InGUIInitialization');
    end
    
    % If handle visibility is set to 'callback', turn it on until finished with
    % OutputFcn
    if ishandle(gui_hFigure)
        gui_HandleVisibility = get(gui_hFigure,'HandleVisibility');
        if strcmp(gui_HandleVisibility, 'callback')
            set(gui_hFigure,'HandleVisibility', 'on');
        end
        gui_Handles = guidata(gui_hFigure);
    else
        gui_Handles = [];
    end
    
    if nargout
        [varargout{1:nargout}] = feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    else
        feval(gui_State.gui_OutputFcn, gui_hFigure, [], gui_Handles);
    end
    
    if ishandle(gui_hFigure)
        set(gui_hFigure,'HandleVisibility', gui_HandleVisibility);
    end
end    

function gui_hFigure = local_openfig(name, singleton)
if nargin('openfig') == 3 
    gui_hFigure = openfig(name, singleton, 'auto');
else
    % OPENFIG did not accept 3rd input argument until R13,
    % toggle default figure visible to prevent the figure
    % from showing up too soon.
    gui_OldDefaultVisible = get(0,'defaultFigureVisible');
    set(0,'defaultFigureVisible','off');
    gui_hFigure = openfig(name, singleton);
    set(0,'defaultFigureVisible',gui_OldDefaultVisible);
end

